Subject: Re: TLB and CSSBAR problems with MPC8540 and BDI2000

From: Dan Malek <[email-masked]>
Date: Wed, 14 Jan 2004 13:39:09 -0500

Milliorn Gary-rxcr80 wrote:

>   The TLB1 issue is due to the MPC85x0 errata "CPU4"; there's a s/w
> workaround.  It's nice if BDI fixes it for you, but seems like it would
> not be necessary.

The BDI doesn't fix anything.  I was just expecting the 'invalidate
protect' to actually do that. :-)  I set up several TLB1 entries during
the BDI initialization prior to debugging the boot rom.  The boot rom
then does a flash invalidate and loads up a "new" set of TLB1 entries.
I was expecting the values I set with the BDI to co-exist with the
new ones, but that doesn't seem to be the case.

Thanks.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/